# Get Receiver

## Get Receiver By ID

<mark style="color:green;">`GET`</mark> `/api/receiver/<id>`

Get a receiver data under subaccount by ID.

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

#### Example request

```
/api/receiver/8ae6b25e-d08f-4391-84ae-fa7bd061b9ee
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver found",
    "payload": {
        "id": "8ae6b25e-d08f-4391-84ae-fa7bd061b9ee",
        "first_name": "Xcel",
        "last_name": "Tesla",
        "middle_name": "",
        "email": "ex@teslastudio.com",
        "gender": "M",
        "dob": "1973-12-12",
        "dialcode": "61",
        "phone": "483908899",
        "applicant_id": "65f272e2341af77124132294",
        "kyc_status": "pending",
        "status": "pending",
        "created_at": "1710387933592",
        "address_data": {
            "address": "111/22222",
            "address2": "Paklok Rd",
            "state": "PK",
            "city": "Phuket",
            "country": "THA",
            "postcode": "83110"
        }
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Get receiver failed",
    "error": [
        {
            "code": "REVR101",
            "message": "Receiver ID not found"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Receiver list

<mark style="color:green;">`GET`</mark> `/api/receiver`

Get receiver list under subaccount.

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

#### Request query parameter

<table><thead><tr><th>Name</th><th width="164">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>limit</code></td><td>string</td><td>Limit of request data.</td></tr><tr><td><code>status</code></td><td>string</td><td>Filter by receiver status.<br><strong>0 = CREATING</strong><br><strong>1 = PENDING</strong><br><strong>2 = ACTIVE</strong><br><strong>3 = INACTIVE</strong><br><strong>4 = FAILED</strong></td></tr><tr><td><code>kyc_status</code></td><td>string</td><td>Filter by receiver KYC status.<br><strong>0 = PENDING</strong><br><strong>1 = COMPLETED</strong><br><strong>2 = FAILED</strong></td></tr></tbody></table>

#### Example query parameter request

```
/api/receiver?status=2&kyc_status=1&limit=2
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver found",
    "payload": [
        {
          {
            "id": "7e4b88bf-9b99-4d3e-8a93-dc5e91b6ce2c",
            "first_name": "Marina",
            "last_name": "Quartz",
            "middle_name": "",
            "email": "mq+00010904@studioquartz.com",
            "gender": "F",
            "dob": "1986-07-24",
            "dialcode": "44",
            "phone": "7712345678",
            "applicant_id": "a9fd80e1cd2a4b688a994d5487e8d6f1",
            "kyc_status": "pending",
            "status": "pending",
            "created_at": "1710023456789",
            "address_data": {
                "address": "111/22222",
                "address2": "Paklok Rd",
                "state": "PK",
                "city": "Phuket",
                "country": "THA",
                "postcode": "83110"
            }
        },
        {
            "id": "9b3773e1-cb8e-4b9a-bc68-4e5011b8d30f",
            "first_name": "Leonardo",
            "last_name": "Fibonacci",
            "middle_name": "",
            "email": "lf+00021021@fibonaccistudios.com",
            "gender": "M",
            "dob": "1990-03-14",
            "dialcode": "39",
            "phone": "4881234567",
            "applicant_id": "bd7a8a4d980a432a8a5beb4a2a98f7c2",
            "kyc_status": "pending",
            "status": "pending",
            "created_at": "1710112233445",
            "address_data": {
                "address": "55/66666",
                "address2": "Renaissance Road",
                "state": "RR",
                "city": "Florence",
                "country": "ITA",
                "postcode": "50125"
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acceptify.io/payout-api/receiver/get-receiver.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
